Ads and Commerce
Ads and Commerce
Resources

Ads Pixel Segments

Updated: May 18, 2019

Reading

Example

GET /v25.0/{ads-pixel-id}/segments HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
date_preset
string
friendly range such as last_7_days, instead of start/end date
end_date
datetime
end date (exclusive) of traffic to analyze
site_cpm
int64
CPM expected for site-wide ads. Used to project segment-level CPM and revenue.
sort
string
Field to sort the result, and direction of sorting. You can specify sorting direction by appending "_ascending" or "_descending" to the sort field. By default, the sorting direction is ascending.
start_date
datetime
first date of traffic to analyze

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdsSegments nodes.
paging
For more details about pagination, see the Graph API guide.

Error Codes

Error Code Description
100
Invalid parameter

Creating

You can't perform this operation on this endpoint.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon